---
search:
  tags:
    - Warehouses
    - GET
seo:
  description: >-
    Retrieves detailed information about a… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug} endpoint in the
    Management API.
sidebar:
  label: Get a warehouse
  badge: GET
title: Get a warehouse
type: openapi-operation
---
Retrieves detailed information about a specific warehouse, including its address and linked markets.

`GET /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug}`

**Responses**

- `200` — Warehouse data
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "address": {
      "city": "string",
      "country": "string",
      "postal_code": "string",
      "state": "string",
      "street_address": "string"
    },
    "app_id": "string",
    "available_online": true,
    "created_at": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
